using System;

namespace A1
{
    class Program
    {
        /*static bool metoda(int[] a, int l, int r)
        {
            if (l == r)
                return true;
            for (int i = l; i < r; i++)
            {
                bool p = true;
                for (int j = l; j < r; j++)
                {
                    if (a[i] > a[j] && p)
                    {
                        p = false;
                    }
                    else if (a[i] > a[j])
                        return false;
                }
            }
            return true;
        }*/
        static bool metoda(int[] a, int l, int r)
        {
            if (l == r)
                return true;
            int[] b = new int[r - l + 1];
            for (int i = l; i <= r; i++)
            {
                b[i - l] = a[i];
            }
            for (int i = 0; i < b.Length - 1; i++)
            {
                int pom = b[i];
                b[i] = b[i + 1];
                int[] b2 = new int[b.Length];
                for (int j = 0; j < b.Length; j++)
                {
                    b2[j] = b[j];
                }
                Array.Sort(b2);
                bool provera = true;
                for (int j = 0; j < b.Length; j++)
                {
                    if (b[j] != b2[j])
                        provera = false;
                }
                if (provera)
                    return true;
                b[i] = pom;
            }
            b[b.Length - 1] = b[b.Length - 2];
            int[] b3 = new int[b.Length];
            for (int j = 0; j < b.Length; j++)
            {
                b3[j] = b[j];
            }
            if (b == b3)
                return true;
            return false;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            string[] s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                a[i] = int.Parse(s[i]);
            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine().Split();
                int l = int.Parse(s[0]);
                int r = int.Parse(s[1]);
                Console.WriteLine(metoda(a, l - 1, r - 1) ? "DA" : "NE");
            }
        }
    }
}